{% load timeutil %}
{% load scientific %}
{% load mediaviews %}

<br>
<br>

    <table class="table-hover table-condensed table-resp-gracedb shadow p-3 mb-5 rounded">
      <!-- Table Header -->
      <thead>
      <tr>
        <th colspan="2"><h3>Superevent Information</h3></th>
      </tr>
      </thead>

      <!-- Begin Table Data -->
      <tbody>
      <tr>
        <td> Superevent ID </td>
        <td> {{ superevent.default_superevent_id }} </td>
      </tr>

      {% if superevent.is_gw %}
      <tr>
        <td> GW ID </td>
        <td> {{ superevent.gw_id }} </td>
      </tr>
      {% endif %}

      <tr>
        <td> Category </td>
        <td> {{ superevent.get_category_display }} </td>
      </tr>

      <tr>
        <td> Labels </td>
        <td>
        {% for labelling in superevent.labelling_set.all %}
                    <span style="color: {{labelling.label.defaultColor}};" class="label"
                       data-toggle="tooltip"
                       data-placement="top"
                       data-html="true"
                       title="<em>{{labelling.label.description}}</em><br>
                      <b>Added by:</b> {{labelling.creator.get_full_name}}<br>
                      <b>Added:</b> {{labelling.created}}">
               {{ labelling.label.name }}</span>
       {% endfor %}
        </td>
      </tr>

      <tr>
        <td> Event </td>
        <td>
            {{ preferred_event | event_link_filter }}
        </td>
      </tr>

      <tr>
        <td> GW events </td>
        <td>
            <div>
            {% for ev in internal_events %}
              {{ ev | event_link_filter }}
            {% endfor %}
            </div>
        </td>
      </tr>

      <tr>
        <td> External events </td>
        <td>
            <div>
            {% if external_events %}
            {% for graceid in external_events %}
            <a href="{% url "view" graceid %}">{{ graceid }}</a>
            {% endfor %}
            {% else %}
            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            {% endif %}
            </div>

        </td>
      </tr>

      <tr>
        <td> t<sub>start</sub> </td>
        <td> {{ superevent.t_start|floatformat:2 }} </td>
      </tr>

      <tr>
        <td> t<sub>0</sub> </td>
        <td> {{ superevent.t_0|floatformat:2 }} </td>
      </tr>

      <tr>
        <td> t<sub>end</sub> </td>
        <td> {{ superevent.t_end|floatformat:2 }} </td>
      </tr>

      <tr>
        <td> {{ "submitted"|timeselect:"utc" }} </td>
        <td> {{ superevent.created|multiTime:"submitted" }} </td>
      </tr>

      <tr>
        <td> Links </td>
        <td> <a href="{% url "superevents:file-list" superevent.superevent_id %}">Data</a> </td>
      </tr>
      </tbody>

    </table> 
    
